## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           bfs
Version:        4.0.4
Release:        %autorelease
Summary:        A breadth-first version of the UNIX find command

License:        0BSD
URL:            https://github.com/tavianator/bfs
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  make
BuildRequires:  gcc
BuildRequires:  pkgconfig(libacl)
BuildRequires:  pkgconfig(libcap)
BuildRequires:  pkgconfig(oniguruma)
BuildRequires:  pkgconfig(liburing)
BuildRequires:  pkgconfig(libselinux)
# needed to run check
BuildRequires:  acl

%description
bfs is a breadth-first version of the UNIX find(1) command.

bfs supports almost every feature from every major find(1)
implementation, so your existing command lines should work as-is.
It also adds some features of its own, such as a more forgiving
command line parser and some additional options.

%prep
%autosetup

%build
./configure --enable-release
%make_build

%install
%make_install

%check
%make_build check

%files
%license LICENSE
%doc README.md docs/{CHANGELOG,USAGE}.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{bash_completions_dir}/%{name}
%{fish_completions_dir}/%{name}.fish
%{zsh_completions_dir}/_%{name}

%changelog
## START: Generated by rpmautospec
* Fri Nov 08 2024 Gustavo Costa <xfgusta@gmail.com> - 4.0.4-1
- Update to 4.0.4 (rhbz#2321239)

* Mon Oct 14 2024 Gustavo Costa <xfgusta@gmail.com> - 4.0.2-1
- Update to 4.0.2 (rhbz#2313882)

* Fri Sep 06 2024 Gustavo Costa <xfgusta@gmail.com> - 4.0.1-1
- Update to 4.0.1 (rhbz#2306016)

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jun 08 2024 Gustavo Costa <xfgusta@gmail.com> - 3.3.1-1
- Update to 3.3.1 (rhbz#2283859)

* Thu May 09 2024 Gustavo Costa <xfgusta@gmail.com> - 3.2-1
- Update to 3.2 (rhbz#2278794)

* Fri Mar 08 2024 Gustavo Costa <xfgusta@gmail.com> - 3.1.3-1
- Update to 3.1.3 (rhbz#2268427)

* Sat Mar 02 2024 Gustavo Costa <xfgusta@gmail.com> - 3.1.2-1
- Update to 3.1.2 (rhbz#2263151)

* Tue Jan 23 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Dec 03 2023 Gustavo Costa <xfgusta@gmail.com> - 3.0.4-1
- Update to 3.0.4 (rhbz#2244219)
- Add BR liburing

* Thu Sep 14 2023 Gustavo Costa <xfgusta@gmail.com> - 3.0.2-1
- Update to 3.0.2 (rhbz#2237850)

* Wed Jul 19 2023 Gustavo Costa <xfgusta@gmail.com> - 3.0.1-1
- Update to 3.0.1 (rhbz#2223829)

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sun Jul 16 2023 Gustavo Costa <xfgusta@gmail.com> - 3.0-1
- Update to 3.0

* Wed Feb 01 2023 Gustavo Costa <xfgusta@gmail.com> - 2.6.3-1
- Update to 2.6.3 (rhbz#2166230)
- Use SPDX license

* Wed Jan 18 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sun Oct 23 2022 Gustavo Costa <xfgusta@gmail.com> - 2.6.2-1
- Update to 2.6.2 (rhbz#2136941)

* Wed Jul 13 2022 Gustavo Costa <xfgusta@gmail.com> - 2.6.1-1
- Initial package

## END: Generated by rpmautospec
